Skip to main content
GET
Core - Retrieve session

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

session_id
string
required

Response

200 - application/json

OK

_id
string
required

Internal thread record ID.

external_id
string
required

Client-provided thread identifier used to group related traces.

duration
number<double>
required

Total thread duration in milliseconds.

contact_ids
string[]
required

Contact IDs associated with the thread.

billing
object
required
usage
object
required
traces_count
integer<int32>
required

Number of traces associated with the thread.

tags
string[]
required

Tags used to categorize the thread.

project_id
string
started_at
string<date-time>
updated_at
string<date-time>
title
string

Display title. Does not replace external_id and is not used to group traces.

client
string

Originating coding assistant or client, such as claude-code, cursor, or codex.

repo
string

Canonical git repository for a coding-agent thread, such as github.com/org/repo.

kind
enum<string>

Whether this thread is a conversation or a coding-agent chat.

Available options:
THREAD_KIND_UNSPECIFIED,
THREAD_KIND_CONVERSATION,
THREAD_KIND_CODING_AGENT